SkunkyURL — Свободная альтернатива tinyurl.com, которая написана на интерпретаторе Lua. В будущем, я планирую переписать это на Go и реализовать систему аккаунтов.
# nginx.conf
Рекомендуется использовать байт-код. Чтобы превратить Lua-файлы в него, вам потребуется выполнить команды `openresty-1.25.3.1/bin/luajit/bin/luajit -O3 -b skurl/src/url.lua skurl/bytecode/url` и `openresty-1.25.3.1/bin/luajit/bin/luajit -O3 -b skurl/src/deps/json.lua skurl/bytecode/jsonlib`. При необходимости, измените пути до LUAJIT от Openresty.
```conf
	server {
		listen 127.0.0.1:8080;
		
		root <path>/skurl;

		server_name localhost;
		location / {
			lua_code_cache on;
			content_by_lua_file <path>/skurl/bytecode/url;
		}
		location ~ /etc(|/) {
			root <path>/skurl;
			rewrite $1 break;
		}
	}
```
# Deps
* [json-lua](https://github.com/rxi/json.lua)